import { registerEnumType } from "@aet/gql-tools/macro"
import { FileSortBy, FileState, RuleType, Theme } from "./utils"
import type { Preferences } from "./models.generated"
export * from "./models.generated"

registerEnumType(RuleType)
registerEnumType(Theme)
registerEnumType(FileState)
registerEnumType(FileSortBy)

export const defaultPreferences: Preferences = {
  darkTheme: "github-dark",
  enabled: true,
  faviconServer: "",
  fontFamily: "D2Coding, Hiragino Sans, Inconsolata, Consolas",
  fontSize: 16,
  formatOnSave: false,
  lightTheme: "github-light",
  lineHeight: 24,
  minimap: false,
  showBadge: true,
  tabSize: 2,
  theme: Theme.System,
  recordUsageData: false,
  debugMode: false,
  clientName: "",
}
